<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-sdk](./iceshrimp-sdk.md) &gt; [api](./iceshrimp-sdk.api.md) &gt; [APIError](./iceshrimp-sdk.api.apierror.md)

## api.APIError type

**Signature:**

```typescript
export type APIError = {
    id: string;
    code: string;
    message: string;
    kind: "client" | "server";
    info: Record<string, any>;
};
```
